Skip to main content
POST
Create pipeline

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectType
string
required

The type of object for which the pipeline is being created, such as deals or tickets.

Body

application/json
displayOrder
integer<int32>
required

An integer indicating the order in which the pipeline appears relative to other pipelines.

label
string
required

A string representing the name or title of the pipeline.

stages
object[]
required

An array of PipelineStageInput objects, each representing a stage within the pipeline.

pipelineId
string

A string that uniquely identifies the pipeline. This property is optional when creating a new pipeline.

Response

successful operation

archived
boolean
required

A boolean indicating whether the pipeline is archived.

createdAt
string<date-time>
required

The date and time when the pipeline was created, in ISO 8601 format.

displayOrder
integer<int32>
required

An integer indicating the order in which the pipeline appears relative to other pipelines.

id
string
required

A unique string identifier for the pipeline.

label
string
required

The name or title of the pipeline, represented as a string.

stages
object[]
required

An array of PipelineStage objects that define the stages within this pipeline.

updatedAt
string<date-time>
required

The date and time when the pipeline was last updated, in ISO 8601 format.

archivedAt
string<date-time>

The date and time when the pipeline was archived, in ISO 8601 format.

Last modified on August 3, 2026